View Issue Details

IDProjectCategoryView StatusLast Update
0004128GNUnetbuild processpublic2018-06-07 00:24
ReporterellAssigned Totg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinux DebianGTK3 3.16.0-4-amd64OS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004128: make fails
DescriptionRevision 36795

sudo make install
...
 /bin/mkdir -p '/usr/local/bin'
  /bin/bash ../../libtool --mode=install /usr/bin/install -c gnunet-rps '/usr/local/bin'
libtool: install: /usr/bin/install -c .libs/gnunet-rps /usr/local/bin/gnunet-rps
 /bin/mkdir -p '/usr/local/lib/gnunet/libexec/'
  /bin/bash ../../libtool --mode=install /usr/bin/install -c gnunet-service-rps '/usr/local/lib/gnunet/libexec/'
libtool: install: /usr/bin/install -c .libs/gnunet-service-rps /usr/local/lib/gnunet/libexec/gnunet-service-rps
 /bin/mkdir -p '/usr/local/share/gnunet/config.d/'
 /usr/bin/install -c -m 644 rps.conf '/usr/local/share/gnunet/config.d/'
make[3]: Leaving directory '/home/ell/gnunet/src/rps'
make[2]: Leaving directory '/home/ell/gnunet/src/rps'
Making install in social
make[2]: Entering directory '/home/ell/gnunet/src/social'
  CCLD gnunet-service-social
/usr/bin/ld: gnunet-service-social.o: undefined reference to symbol 'GNUNET_ENV_environment_create'
//home/ell/gnunet/src/env/.libs/libgnunetenv.so.0: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Makefile:863: recipe for target 'gnunet-service-social' failed
make[2]: *** [gnunet-service-social] Error 1
make[2]: Leaving directory '/home/ell/gnunet/src/social'
Makefile:527: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/ell/gnunet/src'
Makefile:575: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
TagsNo tags attached.

Activities

tg

2016-01-11 16:34

manager   ~0010054

fixed in r36802

Issue History

Date Modified Username Field Change
2016-01-08 17:16 ell New Issue
2016-01-08 21:34 Christian Grothoff Assigned To => tg
2016-01-08 21:34 Christian Grothoff Status new => assigned
2016-01-11 16:34 tg Note Added: 0010054
2016-01-11 16:34 tg Status assigned => resolved
2016-01-11 16:34 tg Resolution open => fixed
2017-02-26 02:18 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-26 02:18 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed